> ## Documentation Index
> Fetch the complete documentation index at: https://usegately.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

> Retrieve a single member by ID

## Path Parameters

<ParamField path="id" type="string" required>
  The member's unique identifier
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful
</ResponseField>

<ResponseField name="data" type="object">
  The member object

  <Expandable title="Member properties">
    <ResponseField name="id" type="string">
      Unique member identifier
    </ResponseField>

    <ResponseField name="email" type="string">
      Member's email address
    </ResponseField>

    <ResponseField name="full_name" type="string">
      Member's full name
    </ResponseField>

    <ResponseField name="avatar_url" type="string">
      URL to member's avatar
    </ResponseField>

    <ResponseField name="status" type="string">
      Member status: `active`, `inactive`, `pending`
    </ResponseField>

    <ResponseField name="plan_id" type="string">
      Associated plan ID
    </ResponseField>

    <ResponseField name="plan" type="object">
      Plan details (if expanded)
    </ResponseField>

    <ResponseField name="metadata" type="object">
      Custom metadata
    </ResponseField>

    <ResponseField name="last_login_at" type="string">
      ISO 8601 timestamp of last login
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of creation
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      ISO 8601 timestamp of last update
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.usegately.com/api/v1/members/mem_abc123" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.usegately.com/api/v1/members/mem_abc123', {
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY'
    }
  })

  const data = await response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "data": {
      "id": "mem_abc123",
      "email": "john@example.com",
      "full_name": "John Doe",
      "avatar_url": "https://example.com/avatar.jpg",
      "status": "active",
      "plan_id": "plan_pro",
      "plan": {
        "id": "plan_pro",
        "name": "Pro Plan",
        "price": 29
      },
      "metadata": {
        "company": "Acme Inc",
        "role": "developer"
      },
      "last_login_at": "2024-01-20T14:30:00Z",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-20T14:30:00Z"
    }
  }
  ```

  ```json Error Response theme={null}
  {
    "success": false,
    "error": "Member not found",
    "code": "NOT_FOUND"
  }
  ```
</ResponseExample>
